using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Data.OleDb;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Data.Common;
using System.ComponentModel;
using System.IO;

public partial class _Default : System.Web.UI.Page
{
    protected void RadGrid1_UpdateCommand(object source, GridCommandEventArgs e)
    {
       

    }
    protected void Page_Load(object sender, EventArgs e)
    {
                
    }
    protected void RadGrid1_PreRender(object sender, EventArgs e)
    {
        GridHeaderItem headerItem = (GridHeaderItem)RadGrid1.MasterTableView.GetItems(GridItemType.Header)[0];
        for (int i=0; i<RadGrid1.MasterTableView.SortExpressions.Count; i++)
        {
            GridSortExpression expression = (GridSortExpression) RadGrid1.MasterTableView.SortExpressions[i];
            Label sortOrder = new Label();
            sortOrder.Text=i.ToString();
            headerItem[expression.FieldName].Controls.Add(sortOrder);
        }
    }
}



